Page MenuHomePhabricator

Create Help:Extension:GlobalPreferences on mw.org
Closed, ResolvedPublic3 Estimated Story Points

Description

The GlobalPreferences special page will link to mw:Help:Extension:GlobalPreferenecs, so we need some words of help there.

Event Timeline

Samwilson created this task.Sep 1 2017, 1:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2017, 1:07 AM

What's the page going to be for? Can we instead have a section on https://www.mediawiki.org/wiki/Extension:GlobalPreferences about it? (Less pages to maintain, less outdated docs in future?)

Yeah, good point about being less to maintain. A help page is likely to be forgotten about.

I think the main reason separate pages exist is that they're aimed at end users (i.e. don't have any installation instructions or anything like that), and are PD licenced so that people can import the Help pages en masse to their own wikis.

I don't know if it's permitted to point the help link to an off-wiki page.

Legoktm added a subscriber: Legoktm.Sep 2 2017, 5:57 AM

What's the page going to be for? Can we instead have a section on https://www.mediawiki.org/wiki/Extension:GlobalPreferences about it? (Less pages to maintain, less outdated docs in future?)

No, help pages should be separate. extension pages should mostly be about installing and configuring extensions. End-user guides should be separate and we shouldn't present them with any of that stuff...just documentation on how to use it.

I don't know if it's permitted to point the help link to an off-wiki page.

Help links by default point to mediawiki.org, or did you mean something else?

What's the page going to be for? Can we instead have a section on https://www.mediawiki.org/wiki/Extension:GlobalPreferences about it? (Less pages to maintain, less outdated docs in future?)

No, help pages should be separate. extension pages should mostly be about installing and configuring extensions. End-user guides should be separate and we shouldn't present them with any of that stuff...just documentation on how to use it.

I agree with what you said but I'm not sure how much user-facing documentation there will be for GlobalPreferences. I don't imagine it to be more than a paragraph or so. My only concern is that a help page is likely to be forgotten about super quickly. The sheer amount of outdated docs on mw.org is depressing to see.

Given that we'd prominently be linking to this page, I hope it doesn't get forgotten. A decent amount of extensions already use this system and it works fine IMO: https://www.mediawiki.org/w/index.php?title=Special%3APrefixIndex&prefix=Extension&namespace=12

Aklapper renamed this task from Create Help:Extension:GlobalPreferenecs on mw.o to Create Help:Extension:GlobalPreferences on mw.o.Sep 2 2017, 8:15 AM
MGChecker renamed this task from Create Help:Extension:GlobalPreferences on mw.o to Create Help:Extension:GlobalPreferences on mw.org.Sep 2 2017, 11:43 AM
kaldari triaged this task as Low priority.Sep 5 2017, 11:29 PM
kaldari set the point value for this task to 3.

Dumping my thoughts from IRC:

Looking at https://www.mediawiki.org/wiki/Help:Extension:GlobalPreferences#Global_preferences_page, I think we should add a "Troubleshooting" section, giving people a place to report bugs if they want to (discussion page or https://meta.wikimedia.org/wiki/Talk:Community_Tech/Global_preferences). We should link to the Phabricator board too.

Also, that page is not linked from anywhere. We should link it from the extension page at the very least and maybe from Special:Global Preferences too? At the bottom or somewhere as a Help link?

I've updated https://www.mediawiki.org/wiki/Extension:GlobalPreferences and put a hatnote directing to the help page, and added some info about bugs etc. to the help page.

The help page is linked from the top right of Special:GlobalPreferences, everywhere it's installed.

Niharika closed this task as Resolved.Feb 12 2018, 7:53 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Looks good to me!